Skip to content

Return personal saved filters and server-provided quick views for one runtime board.

GET
/api/workspace/boards/{boardIdOrKey}/filters
curl --request GET \
--url https://example.com/api/workspace/boards/example/filters
  • None
boardIdOrKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Saved filter catalog and server-provided quick views for a runtime board.

object
Board

Runtime board summary available to the caller.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
TagsEnabled
boolean
DueDateEnabled
boolean
QuickViews
Array<object>
nullable

Server-provided operational quick view for one runtime board.

object
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
Icon
string
nullable
Filter

Searches readable board items across one or more statuses.

object
SearchText
string
nullable
BoardStatusIds
Array<string>
nullable
BoardTargetDefinitionIds
Array<string>
nullable
Responsibilities
Array<object>
nullable

Responsibility filter for board item search.

object
ResponsibilityKind
integer format: int32
Allowed values: 0
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
ActorScope

Runtime actor-scope filter for board item search.

object
AssignedToMe
boolean
nullable
DueDate

Runtime due-date filter for board item search.

object
HasDueDate
boolean
nullable
DueFromUtc
string format: date-time
nullable
DueToUtc
string format: date-time
nullable
IsOverdue
boolean
nullable
Tags

Runtime process tag filter for board item search.

object
TagIds
Array<string>
nullable
ItemLinks

Runtime link-state filter for board item search.

object
HasOpenChildBlockers
boolean
nullable
BoardData

Board-owned Part entity query payload for board item search.

object
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
Sort
Array<object>
nullable

One sort item in the runtime list query.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1
DueDateSort

Runtime due-date sort for board item search.

object
Direction
integer format: int32
Allowed values: 0 1
Limit
integer format: int32
nullable
Cursor

Cursor for searching board items across one or more statuses.

object
BoardCycleId
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
BoardItemId
string
nullable
AttentionSignals

Runtime AttentionSignal filter for board item search.

object
TypeKeys
Array<string>
nullable
Severities
Array<integer>
nullable
Allowed values: 0 1 2
TargetData
Array<object>
nullable

Target entity query payload for board item search.

object
BoardTargetDefinitionId
string
nullable
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
CycleSelector
string
nullable
SortOrder
integer format: int32
SavedFilters
Array<object>
nullable

Personal runtime saved filter for one board operator.

object
Id
string
nullable
Name
string
nullable
Filter

Searches readable board items across one or more statuses.

object
SearchText
string
nullable
BoardStatusIds
Array<string>
nullable
BoardTargetDefinitionIds
Array<string>
nullable
Responsibilities
Array<object>
nullable

Responsibility filter for board item search.

object
ResponsibilityKind
integer format: int32
Allowed values: 0
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
ActorScope

Runtime actor-scope filter for board item search.

object
AssignedToMe
boolean
nullable
DueDate

Runtime due-date filter for board item search.

object
HasDueDate
boolean
nullable
DueFromUtc
string format: date-time
nullable
DueToUtc
string format: date-time
nullable
IsOverdue
boolean
nullable
Tags

Runtime process tag filter for board item search.

object
TagIds
Array<string>
nullable
ItemLinks

Runtime link-state filter for board item search.

object
HasOpenChildBlockers
boolean
nullable
BoardData

Board-owned Part entity query payload for board item search.

object
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
Sort
Array<object>
nullable

One sort item in the runtime list query.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1
DueDateSort

Runtime due-date sort for board item search.

object
Direction
integer format: int32
Allowed values: 0 1
Limit
integer format: int32
nullable
Cursor

Cursor for searching board items across one or more statuses.

object
BoardCycleId
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
BoardItemId
string
nullable
AttentionSignals

Runtime AttentionSignal filter for board item search.

object
TypeKeys
Array<string>
nullable
Severities
Array<integer>
nullable
Allowed values: 0 1 2
TargetData
Array<object>
nullable

Target entity query payload for board item search.

object
BoardTargetDefinitionId
string
nullable
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
CycleSelector
string
nullable
IsFavorite
boolean
IsDefault
boolean
IsInvalid
boolean
InvalidReasons
Array<string>
nullable
RowVersion
string format: uuid
CreatedAtUtc
string format: date-time
UpdatedAtUtc
string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"QuickViews": [
{
"Filter": {
"Responsibilities": [
{
"ResponsibilityKind": 0,
"SubjectType": 0
}
],
"BoardData": {
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
},
"Sort": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Direction": 0
}
]
},
"DueDateSort": {
"Direction": 0
},
"AttentionSignals": {
"Severities": [
0
]
},
"TargetData": [
{
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
}
}
]
}
}
],
"SavedFilters": [
{
"Filter": {
"Responsibilities": [
{
"ResponsibilityKind": 0,
"SubjectType": 0
}
],
"BoardData": {
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
},
"Sort": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Direction": 0
}
]
},
"DueDateSort": {
"Direction": 0
},
"AttentionSignals": {
"Severities": [
0
]
},
"TargetData": [
{
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
}
}
]
}
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Saved filter catalog and server-provided quick views for a runtime board.

object
Board

Runtime board summary available to the caller.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
TagsEnabled
boolean
DueDateEnabled
boolean
QuickViews
Array<object>
nullable

Server-provided operational quick view for one runtime board.

object
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
Icon
string
nullable
Filter

Searches readable board items across one or more statuses.

object
SearchText
string
nullable
BoardStatusIds
Array<string>
nullable
BoardTargetDefinitionIds
Array<string>
nullable
Responsibilities
Array<object>
nullable

Responsibility filter for board item search.

object
ResponsibilityKind
integer format: int32
Allowed values: 0
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
ActorScope

Runtime actor-scope filter for board item search.

object
AssignedToMe
boolean
nullable
DueDate

Runtime due-date filter for board item search.

object
HasDueDate
boolean
nullable
DueFromUtc
string format: date-time
nullable
DueToUtc
string format: date-time
nullable
IsOverdue
boolean
nullable
Tags

Runtime process tag filter for board item search.

object
TagIds
Array<string>
nullable
ItemLinks

Runtime link-state filter for board item search.

object
HasOpenChildBlockers
boolean
nullable
BoardData

Board-owned Part entity query payload for board item search.

object
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
Sort
Array<object>
nullable

One sort item in the runtime list query.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1
DueDateSort

Runtime due-date sort for board item search.

object
Direction
integer format: int32
Allowed values: 0 1
Limit
integer format: int32
nullable
Cursor

Cursor for searching board items across one or more statuses.

object
BoardCycleId
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
BoardItemId
string
nullable
AttentionSignals

Runtime AttentionSignal filter for board item search.

object
TypeKeys
Array<string>
nullable
Severities
Array<integer>
nullable
Allowed values: 0 1 2
TargetData
Array<object>
nullable

Target entity query payload for board item search.

object
BoardTargetDefinitionId
string
nullable
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
CycleSelector
string
nullable
SortOrder
integer format: int32
SavedFilters
Array<object>
nullable

Personal runtime saved filter for one board operator.

object
Id
string
nullable
Name
string
nullable
Filter

Searches readable board items across one or more statuses.

object
SearchText
string
nullable
BoardStatusIds
Array<string>
nullable
BoardTargetDefinitionIds
Array<string>
nullable
Responsibilities
Array<object>
nullable

Responsibility filter for board item search.

object
ResponsibilityKind
integer format: int32
Allowed values: 0
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
ActorScope

Runtime actor-scope filter for board item search.

object
AssignedToMe
boolean
nullable
DueDate

Runtime due-date filter for board item search.

object
HasDueDate
boolean
nullable
DueFromUtc
string format: date-time
nullable
DueToUtc
string format: date-time
nullable
IsOverdue
boolean
nullable
Tags

Runtime process tag filter for board item search.

object
TagIds
Array<string>
nullable
ItemLinks

Runtime link-state filter for board item search.

object
HasOpenChildBlockers
boolean
nullable
BoardData

Board-owned Part entity query payload for board item search.

object
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
Sort
Array<object>
nullable

One sort item in the runtime list query.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1
DueDateSort

Runtime due-date sort for board item search.

object
Direction
integer format: int32
Allowed values: 0 1
Limit
integer format: int32
nullable
Cursor

Cursor for searching board items across one or more statuses.

object
BoardCycleId
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
BoardItemId
string
nullable
AttentionSignals

Runtime AttentionSignal filter for board item search.

object
TypeKeys
Array<string>
nullable
Severities
Array<integer>
nullable
Allowed values: 0 1 2
TargetData
Array<object>
nullable

Target entity query payload for board item search.

object
BoardTargetDefinitionId
string
nullable
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
CycleSelector
string
nullable
IsFavorite
boolean
IsDefault
boolean
IsInvalid
boolean
InvalidReasons
Array<string>
nullable
RowVersion
string format: uuid
CreatedAtUtc
string format: date-time
UpdatedAtUtc
string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"QuickViews": [
{
"Filter": {
"Responsibilities": [
{
"ResponsibilityKind": 0,
"SubjectType": 0
}
],
"BoardData": {
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
},
"Sort": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Direction": 0
}
]
},
"DueDateSort": {
"Direction": 0
},
"AttentionSignals": {
"Severities": [
0
]
},
"TargetData": [
{
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
}
}
]
}
}
],
"SavedFilters": [
{
"Filter": {
"Responsibilities": [
{
"ResponsibilityKind": 0,
"SubjectType": 0
}
],
"BoardData": {
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
},
"Sort": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Direction": 0
}
]
},
"DueDateSort": {
"Direction": 0
},
"AttentionSignals": {
"Severities": [
0
]
},
"TargetData": [
{
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
}
}
]
}
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Saved filter catalog and server-provided quick views for a runtime board.

object
Board

Runtime board summary available to the caller.

object
Id
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
TagsEnabled
boolean
DueDateEnabled
boolean
QuickViews
Array<object>
nullable

Server-provided operational quick view for one runtime board.

object
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
Icon
string
nullable
Filter

Searches readable board items across one or more statuses.

object
SearchText
string
nullable
BoardStatusIds
Array<string>
nullable
BoardTargetDefinitionIds
Array<string>
nullable
Responsibilities
Array<object>
nullable

Responsibility filter for board item search.

object
ResponsibilityKind
integer format: int32
Allowed values: 0
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
ActorScope

Runtime actor-scope filter for board item search.

object
AssignedToMe
boolean
nullable
DueDate

Runtime due-date filter for board item search.

object
HasDueDate
boolean
nullable
DueFromUtc
string format: date-time
nullable
DueToUtc
string format: date-time
nullable
IsOverdue
boolean
nullable
Tags

Runtime process tag filter for board item search.

object
TagIds
Array<string>
nullable
ItemLinks

Runtime link-state filter for board item search.

object
HasOpenChildBlockers
boolean
nullable
BoardData

Board-owned Part entity query payload for board item search.

object
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
Sort
Array<object>
nullable

One sort item in the runtime list query.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1
DueDateSort

Runtime due-date sort for board item search.

object
Direction
integer format: int32
Allowed values: 0 1
Limit
integer format: int32
nullable
Cursor

Cursor for searching board items across one or more statuses.

object
BoardCycleId
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
BoardItemId
string
nullable
AttentionSignals

Runtime AttentionSignal filter for board item search.

object
TypeKeys
Array<string>
nullable
Severities
Array<integer>
nullable
Allowed values: 0 1 2
TargetData
Array<object>
nullable

Target entity query payload for board item search.

object
BoardTargetDefinitionId
string
nullable
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
CycleSelector
string
nullable
SortOrder
integer format: int32
SavedFilters
Array<object>
nullable

Personal runtime saved filter for one board operator.

object
Id
string
nullable
Name
string
nullable
Filter

Searches readable board items across one or more statuses.

object
SearchText
string
nullable
BoardStatusIds
Array<string>
nullable
BoardTargetDefinitionIds
Array<string>
nullable
Responsibilities
Array<object>
nullable

Responsibility filter for board item search.

object
ResponsibilityKind
integer format: int32
Allowed values: 0
SubjectType
integer format: int32
Allowed values: 0 1
SubjectId
string
nullable
ActorScope

Runtime actor-scope filter for board item search.

object
AssignedToMe
boolean
nullable
DueDate

Runtime due-date filter for board item search.

object
HasDueDate
boolean
nullable
DueFromUtc
string format: date-time
nullable
DueToUtc
string format: date-time
nullable
IsOverdue
boolean
nullable
Tags

Runtime process tag filter for board item search.

object
TagIds
Array<string>
nullable
ItemLinks

Runtime link-state filter for board item search.

object
HasOpenChildBlockers
boolean
nullable
BoardData

Board-owned Part entity query payload for board item search.

object
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
Sort
Array<object>
nullable

One sort item in the runtime list query.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1
DueDateSort

Runtime due-date sort for board item search.

object
Direction
integer format: int32
Allowed values: 0 1
Limit
integer format: int32
nullable
Cursor

Cursor for searching board items across one or more statuses.

object
BoardCycleId
string
nullable
BoardStatusId
string
nullable
RankKey
string
nullable
BoardItemId
string
nullable
AttentionSignals

Runtime AttentionSignal filter for board item search.

object
TypeKeys
Array<string>
nullable
Severities
Array<integer>
nullable
Allowed values: 0 1 2
TargetData
Array<object>
nullable

Target entity query payload for board item search.

object
BoardTargetDefinitionId
string
nullable
Filter

One nested logical filter group.

object
Operator
integer format: int32
Allowed values: 0 1
Conditions

Direct conditions inside this group.

Array<object>
nullable

One leaf condition in the runtime list query tree.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed condition target path. Intermediate path segments must be reference fields.

object
Path

Ordered field path from the queried entity to the terminal field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Operator
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
Values

Operand list for the selected operator.

Array<object>
nullable

One query operand.

object
Kind
integer format: int32
Allowed values: 0 1
Value

Literal JSON value used when Moltaro.Entity.Instances.Requests.EntityInstanceQueryOperandRequest.Kind is Moltaro.Enums.EntityInstanceQueryOperandKindEnum.Value.

object
Variable
integer format: int32
Allowed values: 0 1
RowsFilter
object recursive
Spatial

Spatial operand for address-style runtime query conditions.

object
ShapeKind
integer format: int32
Allowed values: 0 1 2
Center

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
RadiusKm

Radius in kilometers for radius-based queries.

number format: double
nullable
BoundingBox

Reserved WGS84 bounding box for future spatial queries.

object
SouthWest

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
NorthEast

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Polygon

Reserved polygon payload for future spatial queries.

Array<object>
nullable

Geographic point in WGS84 coordinates.

object
Latitude

Latitude in decimal degrees.

number format: double
Longitude

Longitude in decimal degrees.

number format: double
FullAddress

Optional display address selected by the user.

string
nullable
Groups
Array<object> recursive
CycleSelector
string
nullable
IsFavorite
boolean
IsDefault
boolean
IsInvalid
boolean
InvalidReasons
Array<string>
nullable
RowVersion
string format: uuid
CreatedAtUtc
string format: date-time
UpdatedAtUtc
string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"QuickViews": [
{
"Filter": {
"Responsibilities": [
{
"ResponsibilityKind": 0,
"SubjectType": 0
}
],
"BoardData": {
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
},
"Sort": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Direction": 0
}
]
},
"DueDateSort": {
"Direction": 0
},
"AttentionSignals": {
"Severities": [
0
]
},
"TargetData": [
{
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
}
}
]
}
}
],
"SavedFilters": [
{
"Filter": {
"Responsibilities": [
{
"ResponsibilityKind": 0,
"SubjectType": 0
}
],
"BoardData": {
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
},
"Sort": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Direction": 0
}
]
},
"DueDateSort": {
"Direction": 0
},
"AttentionSignals": {
"Severities": [
0
]
},
"TargetData": [
{
"Filter": {
"Operator": 0,
"Conditions": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Operator": 0,
"Values": [
{
"Kind": 0,
"Variable": 0
}
],
"Spatial": {
"ShapeKind": 0
}
}
]
}
}
]
}
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}